
(*
        Public domain software from John M. Majkrzak, All rights reserved.
                                    1180 Todd Dr.
                                    Arden Hills, MN  55112
                                    CIS# 76617,264

        This include file will take care of the details involved in linking
        in the cURDL.OBJ file which is the software this is all about.

        cURDL() will take care of watching the screen boundaries when your
        Turbo Pascal program lets a user move about the screen directly as
        might be done in a screen painting routine or even some data entry
        programs.  Turbo Pascal stores information about the screen in
        variables WindMin and WindMax.  See the demo program CURDLE.PAS
        for further insight.

*)

        {These variables are referenced by cURDL and must have valid info.}
    Const
      cwPage: Word = 0; {Use this to specify which page cURDL looks on.}
                        {Page 0 is used by default.  Be sure to change }
                        {this if your writing on some other page.      }
    Var
      cwMin: Word absolute WindMin; {The cURDL() function needs to have}
      cwMax: Word absolute WindMax; {Min-Max values to work within.}
              {Absolute references above give your program more flexibilty }
              {instead of having cURDL() use WindMin-WindMax directly.}

  {$IfOpt F-} {$F+} {$Define cwNotFar} {$EndIf} {Must be declared as far}

  Function curdl(CurDir: Char; VAR CurRow, CurCol: Byte):Boolean; external;
  {$L curdl.obj}

  {$IfDef cwNotFar} {$F-} {$UnDef cwNotFar} {$EndIf} {Turn off forced far}